Get an issue
const url = 'https://gitea.com/api/v1/repos/example/example/issues/1';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/repos/example/example/issues/1 \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Owner of the repo
Name of the repo
Index of the issue to get
Responses
Section titled “Responses”Issue
Issue represents an issue in a repository
object
Attachment a generic attachment
object
DownloadURL is the URL to download the attachment
DownloadCount is the number of times the attachment has been downloaded
ID is the unique identifier for the attachment
Name is the filename of the attachment
Size is the file size in bytes
UUID is the unique identifier for the attachment file
User represents a user
object
Is user active
URL to the user’s avatar
The user’s description
User counts
The user’s full name
URL to the user’s gitea page
The user’s id
Is the user an administrator
User locale
The user’s location
Login of the user, same as username
Identifier of the user, provided by the external authenticator (if configured)
Is user login prohibited
Is user restricted
The ID of the user’s Authentication Source
User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate
The user’s website
User represents a user
object
Is user active
URL to the user’s avatar
The user’s description
User counts
The user’s full name
URL to the user’s gitea page
The user’s id
Is the user an administrator
User locale
The user’s location
Login of the user, same as username
Identifier of the user, provided by the external authenticator (if configured)
Is user login prohibited
Is user restricted
The ID of the user’s Authentication Source
User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate
The user’s website
The version of the issue content for optimistic locking
Label a label to an issue or a pr
object
Description provides additional context about the label’s purpose
ID is the unique identifier for the label
Name is the display name of the label
URL is the API endpoint for accessing this label
Milestone milestone is a collection of issues on one repository
object
ClosedIssues is the number of closed issues in this milestone
Description provides details about the milestone
ID is the unique identifier for the milestone
OpenIssues is the number of open issues in this milestone
State indicates if the milestone is open or closed open StateOpen pr is opened closed StateClosed pr is closed
Title is the title of the milestone
Project represents a project
object
CreatorID is the user who created the project
Description provides details about the project
ID is the unique identifier for the project
IsClosed indicates if the project is closed
OwnerID is the owner of the project (for org-level projects)
RepoID is the repository this project belongs to (for repo-level projects)
Title is the title of the project
PullRequestMeta PR info if an issue is a PR
object
RepositoryMeta basic repository information
object
User represents a user
object
Is user active
URL to the user’s avatar
The user’s description
User counts
The user’s full name
URL to the user’s gitea page
The user’s id
Is the user an administrator
User locale
The user’s location
Login of the user, same as username
Identifier of the user, provided by the external authenticator (if configured)
Is user login prohibited
Is user restricted
The ID of the user’s Authentication Source
User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate
The user’s website
Example
{ "assignee": { "login_name": "empty", "visibility": "public" }, "assignees": [ { "login_name": "empty", "visibility": "public" } ], "labels": [ { "color": "00aabb", "exclusive": false, "is_archived": false } ], "milestone": { "state": "open" }, "state": "open", "user": { "login_name": "empty", "visibility": "public" }}APINotFound is a not found empty response